Customers
List Customers
GET
/
api
/
customers
curl --request GET \
--url 'https://api.atoa.me/api/customers?page=0&size=20' \
--header 'Authorization: Bearer <token>'
{
"data": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"fullName": "John Doe",
"email": "john.doe@example.com",
"type": "INDIVIDUAL",
"phoneCountryCode": "44",
"phoneNumber": "7911123456",
"address": "123 High Street",
"city": "London",
"postcode": "SW1A 1AA",
"createdAt": "2025-06-15T10:30:00.000Z"
}
],
"totalCount": 50,
"page": 0,
"size": 20
}
Get all customers for the merchant with pagination.
Authorization
Bearer <accessSecret>
Query Parameters
page
number
default: "0"Page number (0-indexed).
size
number
default: "20"Number of items per page.
search
string
Search by customer name, email, or phone number.
Response
data
array
Array of customer objects.
totalCount
number
Total number of customers.
page
number
Current page number.
size
number
Items per page.
curl --request GET \
--url 'https://api.atoa.me/api/customers?page=0&size=20' \
--header 'Authorization: Bearer <token>'
{
"data": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"fullName": "John Doe",
"email": "john.doe@example.com",
"type": "INDIVIDUAL",
"phoneCountryCode": "44",
"phoneNumber": "7911123456",
"address": "123 High Street",
"city": "London",
"postcode": "SW1A 1AA",
"createdAt": "2025-06-15T10:30:00.000Z"
}
],
"totalCount": 50,
"page": 0,
"size": 20
}